scim::ConfigError Class Reference
Config

An exception class to hold Config related errors. More...

`#include <scim_config_base.h>`

## Public Member Functions

| ConfigError (const String &what_arg)
Public Member Functions inherited from scim::Exception
| Exception (const String &what_arg)
| ~Exception () throw ()
virtual const char * | what () const throw ()

## Detailed Description

An exception class to hold Config related errors.

scim::ConfigBase and its derived classes must throw scim::ConfigError object when error.

## Constructor & Destructor Documentation

## ConfigError()

scim::ConfigError::ConfigError | ( | const String & | what_arg | ) |

inline

References scim::Exception::Exception().

The documentation for this class was generated from the following file:

- scim_config_base.h